###############################################
# Do not Edit! Generated by:
# spec-builder version 0.14
###############################################

Name: gnome-utils
Summary: GNOME utility programs
Group: Applications/System
Version: 2.26.0
License: GPLv2+
URL: http://www.gnome.org
Release: 6.1.moblin2
Source0: http://download.gnome.org/sources/%{name}/2.26/%{name}-%{version}.tar.bz2
Source1: gnome-screenshot.desktop
Patch0: gnome-utils-2.25.92-log-read-dates-crash.patch
Patch1: gnome-utils-2.26.0-baobae-help-display.patch
Patch2: buildfix.patch
Patch3: gnome-utils-2.26.0-hide-apps.patch
Patch4: gnome-utils-2.26.0-zh_CN.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gnome-desktop-2.0)
BuildRequires: pkgconfig(libpanelapplet-2.0)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(e2p)
BuildRequires: pkgconfig(libgnome-2.0)
BuildRequires: pkgconfig(libgnomeui-2.0)
BuildRequires: pkgconfig(libgtop-2.0)

BuildRequires: intltool
BuildRequires: gettext
BuildRequires: gnome-doc-utils
BuildRequires: gtk-doc
BuildRequires: gnome-common

Requires: GConf2
Requires: libgnome
Requires: libgnomeui
Requires(post): /bin/touch
Requires(post): /bin/touch

%description
The gnome-utils package contains a set of small "desk accessory" utility 
applications for GNOME, such as a dictionary, a disk usage analyzer,
a screenshot tool and others.

%package devel

Summary: Development files for %{name}
Group: Development/Libraries

Requires: %{name} >= %{version}

%description devel
The gnome-utils-devel package contains header files and other resources
needed to develop programs using the libraries contained in gnome-utils.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .gnome-utils-2.25.92-log-read-dates-cras
%patch1 -p1 -b .gnome-utils-2.26.0-baobae-help-display
%patch2 -p1 -b .buildfix
%patch3 -p1 -b .gnome-utils-2.26.0-hide-apps
%patch4 -p1 -b .gnome-utils-2.26.0-zh-CN

%build
%reconfigure --disable-gfloppy --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install
# make gnome-system-log use consolehelper until it starts using polkit
./mkinstalldirs $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
/bin/cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/pam.d/gnome-system-log
#%%PAM-1.0
auth		include		config-util
account		include		config-util
session		include		config-util
EOF
./mkinstalldirs $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
/bin/cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/gnome-system-log
USER=root
PROGRAM=/usr/sbin/gnome-system-log
SESSION=true
FALLBACK=true
EOF
./mkinstalldirs $RPM_BUILD_ROOT%{_sbindir}
/bin/mv $RPM_BUILD_ROOT%{_bindir}/gnome-system-log $RPM_BUILD_ROOT%{_sbindir}
/bin/ln -s /usr/bin/consolehelper $RPM_BUILD_ROOT%{_bindir}/gnome-system-log
# save space by linking identical images in translated docs
for n in baobab gnome-dictionary gnome-search-tool gnome-system-log; do
  helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/$n
  for f in $helpdir/C/figures/*.png; do
    b="$(basename $f)"
    for d in $helpdir/*; do
      if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
        g="$d/figures/$b"
        if [ -f "$g" ]; then
          if cmp -s $f $g; then
            rm "$g"; ln -s "../../C/figures/$b" "$g"
          fi
        fi
      fi
    done
  done
done
install -m 0644 %{SOURCE1} %{buildroot}/%{_datadir}/applications

%find_lang gnome-utils --all-name --with-gnome || echo -n >> gnome-utils.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%pre 
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnome-dictionary.schemas \
    %{_sysconfdir}/gconf/schemas/gnome-screenshot.schemas \
    %{_sysconfdir}/gconf/schemas/gnome-search-tool.schemas \
    %{_sysconfdir}/gconf/schemas/gnome-system-log.schemas \
    %{_sysconfdir}/gconf/schemas/baobab.schemas \
    > /dev/null || :
fi

%preun 
if [ "$1" -gt 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnome-dictionary.schemas \
    %{_sysconfdir}/gconf/schemas/gnome-screenshot.schemas \
    %{_sysconfdir}/gconf/schemas/gnome-search-tool.schemas \
    %{_sysconfdir}/gconf/schemas/gnome-system-log.schemas \
    %{_sysconfdir}/gconf/schemas/baobab.schemas \
    > /dev/null || :
fi

%post 
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gnome-dictionary.schemas \
    %{_sysconfdir}/gconf/schemas/gnome-screenshot.schemas \
    %{_sysconfdir}/gconf/schemas/gnome-search-tool.schemas \
    %{_sysconfdir}/gconf/schemas/gnome-system-log.schemas \
    %{_sysconfdir}/gconf/schemas/baobab.schemas \
  > /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache \
  --quiet %{_datadir}/icons/hicolor 2> /dev/null|| :

%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files -f gnome-utils.lang
%defattr(-,root,root,-)
%doc COPYING NEWS README
%doc gnome-dictionary/AUTHORS 
%doc gnome-dictionary/README
%doc gsearchtool/AUTHORS
%doc baobab/AUTHORS 
%doc baobab/README
%{_sysconfdir}/security/console.apps/gnome-system-log
%{_sysconfdir}/pam.d/gnome-system-log
%{_sysconfdir}/gconf/schemas/gnome-dictionary.schemas
%{_sysconfdir}/gconf/schemas/gnome-screenshot.schemas
%{_sysconfdir}/gconf/schemas/gnome-search-tool.schemas
%{_sysconfdir}/gconf/schemas/gnome-system-log.schemas
%{_sysconfdir}/gconf/schemas/baobab.schemas
%{_bindir}/gnome-dictionary
%{_bindir}/gnome-panel-screenshot
%{_bindir}/gnome-screenshot
%{_bindir}/gnome-search-tool
%{_bindir}/baobab
%{_bindir}/gnome-system-log
%{_sbindir}/gnome-system-log
%{_datadir}/applications/gnome-dictionary.desktop
%{_datadir}/applications/gnome-screenshot.desktop
%{_datadir}/applications/gnome-search-tool.desktop
%{_datadir}/applications/gnome-system-log.desktop
%{_datadir}/applications/baobab.desktop
%{_datadir}/gdict-1.0/
%{_datadir}/gnome-dictionary/
%{_datadir}/gnome-screenshot/
%{_datadir}/baobab/
%{_datadir}/gnome-utils/
%{_datadir}/pixmaps/gsearchtool/
%{_datadir}/icons/hicolor/24x24/apps/baobab.png
%{_datadir}/icons/hicolor/scalable/apps/baobab.svg
%{_libexecdir}/gnome-dictionary-applet
%{_datadir}/gnome-2.0/ui/GNOME_DictionaryApplet.xml
%{_libdir}/bonobo/servers/GNOME_DictionaryApplet.server
%{_libdir}/libgdict-1.0.so.*
%{_mandir}/man1/gnome-dictionary.1.gz
%{_mandir}/man1/gnome-search-tool.1.gz
%{_mandir}/man1/gnome-system-log.1.gz
%{_mandir}/man1/baobab.1.gz

%files devel
%defattr(-,root,root,-)
%{_libdir}/libgdict-1.0.so
%{_libdir}/pkgconfig/gdict-1.0.pc
%{_includedir}/gdict-1.0/
%{_datadir}/gtk-doc/html/gdict/


%changelog
* Thu Jul 16 2009 Vivian Zhang <vivian.zhang@intel.com> 2.26.0
- Fix 4358: string (Grab a selected area) in PrintScreen app is not translated for chinese
* Thu May 14 2009 Damien Lespiau <damien.lespiau@intel.com> 2.26.0
- Don't start in a new workspace
* Thu May 14 2009 Anas Nashif <anas.nashif@intel.com> 2.26.0
- Use NotShowIn instead of Hidden
* Thu May 14 2009 Xu Li <xu.li@intel.com> 2.26.0
- Update gnome-screenshot.desktop
- Hide apps: gnome-dictionary, baobab, gnome-system-log in Moblin
* Tue May 12 2009 Arjan van de Ven <arjan@linux.intel.com> 2.26.0
- add -lm to properly link the test apps
* Tue May 12 2009 Vivian Zhang <vivian.zhang@intel.com> 2.26.0
- Fix baobae help display issue: use application name (#1648)
* Tue Mar 17 2009 Xu Li <xu.li@intel.com> 2.26.0
- Upgrade to 2.26.0
- Add missing requires - libgnome & libgnomeui
- Remove deprecated patch
* Tue Mar 10 2009 Vivian Zhang <vivian.zhang@intel.com> 2.25.92
- Set date default to NULL to fix crash in log_read_date(#1132)
* Wed Mar  4 2009 Xu Li <xu.li@intel.com> 2.25.92
- Upgrade to 2.25.92
- Remove deprecated patch
* Tue Feb 24 2009 Damien Lespiau <damien.lespiau@intel.com> 2.25.90
- First import into Moblin
